<template>
    <div class="home-card">
        <div class="card-header">
            <div class="title">
                安防系统
            </div>
        </div>
        <div class="card-content">
            <div class="item" v-for="(item, index) in devices" :key="index">
                <img class="image" :src="getImage(item.icon)" />
                <div class="name">{{ item.name }}</div>
                <div>
                    <span v-if="item.status === 1" class="status1">
                        <AIcon type="CheckCircleFilled" style="font-size: 14px; color: #15C646;" />正常
                    </span>
                    <span v-else class="status0">
                        <AIcon type="WarningFilled" style="font-size: 16px; color: #FA3E2E;" />告警
                    </span>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts" name="SecurityStsten">
import { getImage } from '@/utils/comm';
const devices = ref<any>([]);

const getDevices = async () => {
    // const res: any = await queryStoreDevices();
    // if (res.success) {
    //     devices.value = res.result;
    // }

    devices.value = [
        { icon: '/home/h-09.png', name: "烟雾探头1", status: 1 },
        { icon: '/home/h-13.png', name: "烟雾探头2", status: 1 },
        { icon: '/home/h-13.png', name: "烟雾探头3", status: 0 }
    ];
};

getDevices();
</script>

<style lang="less" scoped>
.home-card {
    margin-top: 16px;

    .card-content {
        display: flex;
        flex-wrap: wrap;
        padding: 16px;

        .item {
            flex: 1;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: 20px 0;
            border: 1px solid #E6E6E6;

            &:nth-child(2) {
                background-color: #F8FAFE;
                border-left: 0;
                border-right: 0;
            }

            .image {
                width: 52px;
                height: 52px;
            }

            .status0 {
                font-size: 16px;
                font-family: PingFang SC-Bold, PingFang SC;
                font-weight: bold;
                color: #FA3E2E;
                line-height: 22px;
            }

            .status1 {
                font-size: 16px;
                font-family: PingFang SC-Bold, PingFang SC;
                font-weight: bold;
                color: #15C646;
                line-height: 22px;
            }

            .name {
                font-size: 12px;
                font-family: PingFang SC-Regular, PingFang SC;
                font-weight: 400;
                color: #828282;
                line-height: 40px;
            }
        }
    }
}
</style>
